<?php

namespace Model;

use Cassandra\Date;
use Cassandra\Time;

class Activity
{
    private int $idActivity;
    private String $type;
    private Date $date;
    private time $heureDebut;
    private time $heureFin;
    private int $effortRessenti;
    private float $variability;
    private float $variance;
    private float $standardDeviation;
    private float $average;
    private int $maximum;
    private int $minimum;
    private float $avrTemperature;
    private Data $arrayData;
    private function getActivity():Activity{
        return $this;
    }
    private function getAnalyse(Activity $activity):String{
        return $this->arrayData[$activity]->__to_String();
    }
}