<?php
namespace Model;


use Stub\TrainingRepository;

class Athlete extends Role {
    // Attributs spécifiques a l'athlete si nécessaire
    private array $statsList = [];
    private array $activityList = [];
    private array $dataSourcesList = [];

    public function __construct(?TrainingRepository $trainingRepository) {
        $this->trainingRepository = $trainingRepository;
    }
    public function getAthlete():Athlete {
        return $this;
    }

    public function getStatistic():?array{
        return $this->statsList;
    }

    public function getActivite():?array{
        return $this->activityList;
    }

    public function getDataSource():?array{
        return $this->dataSourcesList;
    }

    public function getUsersList(): array{
        return $this->usersList;
    }
    public function getUserList(User $user): \Model\User{
        return $user;
    }
    public function getTraining(): ?TrainingRepository{
        return null;
    }
    public function getTrainingsList(): ?array {
        return $this->trainingRepository->getTrainingsList();
    }
    public function getTrainingList(Training $training): ?Training {
        return $training;
    }

    public function CheckAdd(User $user): bool {
        if($user instanceof \Model\Athlete){
            return true;
        } else {
            return false;
        }
    }
    public function CheckAddTraining(Training $training) : bool {
        return false;
    }
    public function addUser(\Model\User $user): bool
    {
        if($this->CheckAdd($user)){
            $this->usersList[] = $user;
            return true;
        }
        return false;
    }

    public function removeUser(\Model\User $user): bool
    {
        if($this->CheckAdd($user)){
            $this->usersList[] = $user;
            return true;
        }
        return false;
    }
    public function delUser(\Model\User $user):bool{
        if($this->CheckAdd($user)){
            $this->usersList[] = null;
            return true;
        }
        return false;
    }

    public function addTraining(Training $training): bool {
        return false;
    }
    public function removeTraining(Training $training): bool {
        return true;
    }

}

?>