<?php
namespace Stub;
use Shared\HashPassword;
use Stub\AuthService;
use Manager\{CoachManager, DataManager, UserManager};
use Stub\UserRepository;

class StubData extends DataManager {
    public function __construct()
    {
        $userRepository = new \Stub\UserRepository();
        $authService = new \Stub\AuthService($userRepository, new \Shared\HashPassword());

        $this->userMgr = new UserManager($authService);

//        if($this->userMgr->currentUser != null){
            $this->coachMgr = new CoachManager($authService);
//        }
    }
}


?>