<?php

namespace Model;

use Cassandra\Time;

class Statistic
{
    private int $idStatistic;
    private float $totalDistance;
    private float $weight;
    private time $totalTime;
    private int $avrHeartRate;
    private int $minHeartRate;
    private int $maxHeartRate;
    private int $caloriesBurned;
    public function __construct(
        int $idStatistic,
        float $totalDistance,
        float $weight,
        time $totalTime,
        int $avrHeartRate,
        int $minHeartRate,
        int $maxHeartRate,
        int $caloriesBurned
    ) {
        $this->idStatistic = $idStatistic;
        $this->totalDistance = $totalDistance;
        $this->weight = $weight;
        $this->totalTime = $totalTime;
        $this->avrHeartRate = $avrHeartRate;
        $this->minHeartRate = $minHeartRate;
        $this->maxHeartRate = $maxHeartRate;
        $this->caloriesBurned = $caloriesBurned;
    }

    public function getStatistic():Statistic{
        return $this;
    }

    public function __toString(Statistic $stat):String{
        return "Statistiques : " . $this->getStatistic();
    }
}